- block:
  - name: Increase max locked memory limit for every user
    pam_limits:
      domain: "*"
      limit_item: memlock
      value: "{{ item.value }}"
      limit_type: "{{ item.type }}"
    with_items:
      - { type: "hard", value: "{{ user_max_locked_mem_limit }}" }
      - { type: "soft", value: "{{ user_max_locked_mem_limit }}" }

  become: yes
